@use 'sass:color';

@import '_variables';

@import 'bootstrap.scss';

@import './progress';
@import './classes';

* {
  box-sizing: border-box;
}

*:focus-visible {
  box-shadow: 0 0 0 0.25rem $orange-main;
  outline: 0;
}

body {
  font-family: -apple-system, BlinkMacSystemFont,"Segoe UI",Roboto,"Helvetica Neue","Noto Sans","Liberation Sans",Arial,sans-serif,"Apple Color Emoji","Segoe UI Emoji","Segoe UI Symbol","Noto Color Emoji";
  line-height: 1.58;
  background-color: #FFFAF6;
  color: $main-font-color;
  overflow-y: scroll;
}

img {
  max-width: 100%;

  &[src=""] {
    visibility: hidden;
  }
}

.container {
  @include padding(4rem $main-horizontal-padding);

  max-width: $container-width;
  margin: auto;
  position: relative;
}

input[type=text],
.vue-tags-input {
  font-size: 0.875rem;

  &.ti-focus,
  &:focus {
    box-shadow: 0 0 0 .25rem $beige-600 !important;
  }

  &:focus-visible {
    outline: 0;
    box-shadow: 0 0 0 .15rem $orange-main !important;
  }

  ::placeholder {
    color: #666;
  }
}

.vue-tags-input {
  max-width: unset !important;

  input[type=text] {
    box-shadow: none !important;
  }
}
